//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.annotation;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use annotation in pdf.
 */
public class AnnotationExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
		/*com.aspose.pdf.License lic  = new com.aspose.pdf.License();
	     try {
	       	lic.setLicense(new FileInputStream(new File("Aspose.Pdf.lic")));
	     } catch (Exception e) {
	     	System.out.println(e.getMessage());
	     }*/
        
         try{            	
			Pdf pdf = new Pdf();
			Section sec1 = pdf.getSections().add();	
				
			Text text1 = new Text(sec1);
			sec1.getParagraphs().add(text1);
			Segment seg1 = text1.getSegments().add("This is to show how annotation works");			
						
			Attachment anno = new Attachment(sec1);
			anno.setAttachType(AttachmentType.Note);
			anno.setNoteHeading("headingtitle");
			anno.setNoteContent("annotation content");
			anno.setNoteOpen(true);
			anno.setAnnotationIconType(AnnotationIconType.Comment);
			anno.setIconOpacity(0.6f);
			seg1.setAttachment(anno);						
										
			pdf.save(new FileOutputStream(new File("exampleOutput/AnnotationExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}
     }
}

