//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//
package examples.samples.attachment;

import java.io.FileOutputStream;

import com.aspose.pdf.elements.Attachment;
import com.aspose.pdf.elements.AttachmentType;
import com.aspose.pdf.elements.Color;
import com.aspose.pdf.elements.FileIconType;
import com.aspose.pdf.elements.Pdf;
import com.aspose.pdf.elements.Rectangle;
import com.aspose.pdf.elements.Section;
import com.aspose.pdf.elements.Text;
import com.aspose.pdf.elements.PageSize;
import com.aspose.pdf.exception.AsposeBaseException;

public class FileAttachment {

	public static void main(String[] args) {
		//if you got a license, uncomment following lines
		/*License lic  = new License();
		try {
			lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
		} catch (Exception e) {
			System.out.println(e.getMessage());
		}*/
		
		try {
			Pdf pdf = new Pdf();
			Section sec1 = pdf.getSections().add();
			 

			Text text1 = new Text(sec1,"This testcase attaches a file in the pdf.");
			
			Attachment attach = new Attachment(sec1,new Rectangle(PageSize.A4Width-72, PageSize.A4Height-72,0,0));
			attach.setAttachType(AttachmentType.File);
			attach.setAttachedFileName("examples/resources/graphics/asposeBanner.gif");
			attach.setDescription("just to test description");
			attach.setFileIconType(FileIconType.Tag);
			attach.setIconColor(Color.Red);
			 
			sec1.getParagraphs().add(text1);		 
			sec1.getParagraphs().add(attach);	      
	        
			FileOutputStream out = new FileOutputStream ("exampleOutput/FileAttachment.pdf");
	        pdf.save(out);        
	    }catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage()); 
	    } catch (AsposeBaseException e) {
	        e.printStackTrace();	       
	    }

	}

}
