//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.bookmark;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use bookmark in pdf.
 */
public class BookmarkExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
    	/*License lic  = new License();
    	try {
    		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
    	} catch (Exception e) {
    		System.out.println(e.getMessage());
    	}*/
        
    	try{            	
			Pdf pdf = new Pdf();
			pdf.setBookmarked(true);
						
			Section sec1 = pdf.getSections().add();
			Text text1 = new Text(sec1,"This is to show how to use bookmarks.");
			Heading heading1 = new Heading(pdf,sec1,1);
			heading1.setIsAutoSequence(true);
			heading1.getSegments().add( new Segment(heading1, "go to heading1"));
			sec1.getParagraphs().add(text1);
			sec1.getParagraphs().add(heading1);
						
			Text text2 = new Text(sec1,"This should be my first Paragraph on Page 2.");
			text2.setFirstParagraph(true);
			heading1 = new Heading(pdf,sec1,1);
			heading1.setIsAutoSequence(true);
			heading1.getSegments().add(new Segment(heading1,"go to heading2"));
						
			sec1.getParagraphs().add(text2);
			sec1.getParagraphs().add(heading1);
								
								
			Text text3 = new Text(sec1,"This should be my first Paragraph on Page 3.");
			text3.setFirstParagraph(true);
			heading1 = new Heading(pdf,sec1,2);
			heading1.setIsAutoSequence(true);
			heading1.getSegments().add(new Segment(heading1,"go to heading3"));
						
			sec1.getParagraphs().add(text3);
			sec1.getParagraphs().add(heading1);
	
						
			pdf.save(new FileOutputStream(new File("exampleOutput/BookmarkExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}            
    }
}

