//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.color;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use color property in pdf.
 */
public class ColorExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
    	/*License lic  = new License();
    	try {
    		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
    	} catch (Exception e) {
    		System.out.println(e.getMessage());
    	}*/
        
    	try{
			Pdf pdf = new Pdf();
			
			//add a section
			Section sec1 = pdf.getSections().add();
			
			Text text1 = new Text(sec1);
	        sec1.getParagraphs().add(text1);
	        text1.getTextInfo().setTextColor(Color.Red);
	        
	        //use default red color
	        Segment seg1 = new Segment(text1,"seg1 ");
	        text1.getSegments().add(seg1);
	        
	        //use a different color.
	        Segment seg2 = new Segment(text1,"seg2 ");
	        seg2.getTextInfo().setTextColor(Color.Green);
	        text1.getSegments().add(seg2);
	        
	        Segment seg3 = new Segment(text1,"seg3 ");
	        seg3.getTextInfo().setTextColor(Color.Yellow);
	        text1.getSegments().add(seg3);
	        
			pdf.save(new FileOutputStream(new File("exampleOutput/ColorExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}            
    }
}
