//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//
package examples.samples.colorspace;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use different color <br>
 * space to define your own color in pdf.
 */
public class ColorSpaceExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
    	/*License lic  = new License();
    	try {
    		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
    	} catch (Exception e) {
    		System.out.println(e.getMessage());
    	}*/
        
    	try{
			Pdf pdf = new Pdf();			
			
			//add a section
			Section sec1 = pdf.getSections().add();
			sec1.setIsSpaced(true);
			
			Text text1 = new Text(sec1);
	        sec1.getParagraphs().add(text1);
	        
	        //use rgb colorspace
	        Segment seg1 = new Segment(text1,"This text use rgb colorspace. \n");
	        text1.getSegments().add(seg1);
	        seg1.getTextInfo().setTextColor(new RgbColorSpace((short)255,(short)0,(short)255));
	        
	        //use grey colorspace.
	        for (int i = 0; i<26; ++i){
    	        Segment seg2 = new Segment(text1,"This text use grey colorspace :grey "+i*10+". \n");
    	        seg2.getTextInfo().setTextColor(new GrayColorSpace((short)(i*10)));
    	        text1.getSegments().add(seg2);
	        }	        
	        
	        //use cmyk colorspace.
	        Segment seg3 = new Segment(text1,"This Text use cmyk colorspace. \n");
	        seg3.getTextInfo().setTextColor(new CmykColorSpace((short)30,(short)40,(short)255,(short)0));
	        text1.getSegments().add(seg3);
	        
			pdf.save(new FileOutputStream(new File("exampleOutput/ColorSpaceExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}            
    }
}
