//
// Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.graph;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.Circle;
import com.aspose.pdf.elements.Color;
import com.aspose.pdf.elements.Graph;
import com.aspose.pdf.elements.Line;
import com.aspose.pdf.elements.Pdf;
import com.aspose.pdf.elements.Section;
import com.aspose.pdf.exception.AsposeBaseException;

public class GraphExample {
	public static void main(String args[]){
		//if you got a license, uncomment following lines
    	/*License lic  = new License();
    	try {
    		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
    	}catch (Exception e) {
    		System.out.println(e.getMessage());
    	}*/
		
		try{
			//Instantiate Pdf document by calling its empty constructor
			Pdf pdf1= new Pdf();		
			
			//Add a section to the Pdf document
			Section sec1 = pdf1.getSections().add();
			
			//Create a graph object in the section with Width=100 and Height=400
			Graph graph1 = new Graph(sec1,300,300);
			
			//Add the graph object to the paragraphs collection of the section
			sec1.getParagraphs().add(graph1);
			
			//Draw a red Line
			float[] posArr = new float[]{100,200,300,200};
			Line l1 = new Line(posArr);
			l1.getGraphInfo().setColor(Color.Red);
			l1.getGraphInfo().setLineWidth(3);
			l1.getGraphInfo().setLineCapMode(1);
			graph1.getShapes().add(l1);		
			
			//Draw a filled Circle
			Circle circle1 = new Circle(200,50,30);			
			graph1.getShapes().add(circle1);			
			circle1.getGraphInfo().setFillColor(Color.Green);		
			circle1.getGraphInfo().setIsFilled(true);
			
			//Draw a dash Line    
			posArr = new float[] { 100, 50, 300, 50 };
            Line l2 = new Line(posArr);
            l2.getGraphInfo().setColor(new Color((byte)0, (byte)128, (byte)128));
            l2.getGraphInfo().setDashLengthInBlack(2);
            l2.getGraphInfo().setDashLengthInWhite(1);
            graph1.getShapes().add(l2);
            
			FileOutputStream out = new FileOutputStream(new File("exampleOutput/GraphExample.pdf"));			
			pdf1.save(out);
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}          
     }
}
