//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.header;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use pdf header and footer.
 */
public class HeaderAndFooterExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
		/*License lic  = new License();
       	try {
       		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
        
        try{
			Pdf pdf = new Pdf();
			
			//add a section
			Section sec1 = pdf.getSections().add();
			
			Text text1 = new Text(sec1,"This example domestrates how to use pdf header and footer.");
	        sec1.getParagraphs().add(text1);
	        
	        //add a header to section sec1
	        HeaderFooter head = new HeaderFooter(sec1);
	        Text headText = new Text(head,"Aspose Header");
	        head.getParagraphs().add(headText);
	        sec1.setOddHeader(head);
	        
	        //add a footer to section sec1
	        HeaderFooter foot = new HeaderFooter(sec1);
	        foot.getTextInfo().setAlignmentType(AlignmentType.Center);
	        foot.getTextInfo().setTextColor(Color.Red);
	        Text footText = new Text(foot,"Page: $p");	        
	        foot.getParagraphs().add(footText);	        
	        sec1.setOddFooter(foot);
	        
	        FileOutputStream out = new FileOutputStream(new File("exampleOutput/HeaderAndFooterExample.pdf"));
			pdf.save(out);
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}
    }
}
