//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.heading;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use Heading class in pdf.
 */
public class HeadingExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
		/*License lic  = new License();
       	try {
       		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
            
    	try{
			Pdf pdf = new Pdf();    			
			
			//add a section
			Section sec1 = pdf.getSections().add();
			sec1.setIsSpaced(true);
			
			Text text = new Text(sec1);
	        sec1.getParagraphs().add(text);
	        
	       
	        Segment seg1 = new Segment(text,"This example shows how to use Heading in pdf:\n\n");
	        text.getSegments().add(seg1);
	        seg1.getTextInfo().setTextColor(Color.Red);
	        
	        Heading heading1 = new Heading(pdf, sec1,1);
	        heading1.getTextInfo().setFontSize(16);
	        Segment segment1 = new Segment(heading1, "heading level 1");
			heading1.getSegments().add(segment1);
			sec1.getParagraphs().add(heading1);			
	        
	        Heading heading2 = new Heading(pdf,sec1,2);
	        heading2.getTextInfo().setFontSize(16);
	        heading2.setHeadingType(HeadingType.RomanLower);
	        Segment segment2 = new Segment(heading2, "heading level 2");
	        heading2.getSegments().add(segment2);
	        sec1.getParagraphs().add(heading2); 	        
	        
	        Heading heading3 = new Heading(pdf,sec1,3);
	        heading3.getTextInfo().setFontSize(16);
	        heading3.setHeadingType(HeadingType.RomanUpper);
	        Segment segment3 = new Segment(heading3, "heading level 3");
	        heading3.getSegments().add(segment3);	        
	        sec1.getParagraphs().add(heading3);
	        
	        Heading heading4 = new Heading(pdf,sec1,1);
	        heading4.getTextInfo().setFontSize(16);
	        Segment segment4 = new Segment(heading4, "heading level 1");
	        heading4.getSegments().add(segment4);
	        sec1.getParagraphs().add(heading4);
	        
	        Heading heading5 = new Heading(pdf,sec1, 2);
	        heading5.getTextInfo().setFontSize(16);	        
	        heading5.setStartNumber(1);
	        Segment segment5 = new Segment(heading5, "heading level 2");
	        heading5.getSegments().add(segment5);
	        sec1.getParagraphs().add(heading5);
	        
			pdf.save(new FileOutputStream(new File("exampleOutput/HeadingExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}   
    }
}
