//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.hyperlink;

import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

public class HyperLinkToAnotherFile {

	/**
	 * This example domestrates how to use HyperLinkToFile class in pdf.
	 */
	public static void main(String[] args) {
		//if you got a license, uncomment following lines
		/*License lic  = new License();
       	try {
       		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
		
		try {
			Pdf pdf = new Pdf();
	        
	        Section sec1 = pdf.getSections().add();	         

	        //Create text paragraph with the reference of a section
	        Text text1 = new Text(sec1);         

	        //Add the text paragraph in the paragraphs collection of the section
	        sec1.getParagraphs().add(text1);         

	        //Add a text segment in the text paragraph
	        Segment segment1 = text1.getSegments().add("this is a external file link");	         

	        //Set the text in the segment to be underlined
	        segment1.getTextInfo().setUnderLine(true);	         

	        //Set the link type of the text segment to Pdf	        
	        segment1.setHyperLink(new HyperLinkToFile("../examples/resources/graphics/asposeBanner.gif"));		
	        
			FileOutputStream out = new FileOutputStream ("exampleOutput/HyperLinkToAnotherFile.pdf");
	        pdf.save(out);        
	    }catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage()); 
	    } catch (AsposeBaseException e) {
	        e.printStackTrace();	       
	    }
	}
}

