//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.image;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use image in pdf.
 */
public class ImageExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
		/*License lic  = new License();
       	try {
       		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
	        
        try{
			Pdf pdf = new Pdf();
			
			//add a section
			Section sec1 = pdf.getSections().add();
			
			Text text1 = new Text(sec1,"an image from local disk and with auto scaling\n");
			sec1.getParagraphs().add(text1);
			
	        Image img1 = new Image(sec1);
	        img1.getImageInfo().setFile("examples/resources/graphics/asposePdfLogo.gif");
	        sec1.getParagraphs().add(img1);	        
	        
	        Text text2 = new Text(sec1,"an image from local disk and with fixed width\n");
			sec1.getParagraphs().add(text2);
			
	        Image img2 = new Image(sec1);
	        img2.getImageInfo().setFile("examples/resources/graphics/asposeBanner.gif");
	        img2.getImageInfo().setFixWidth(100);
	        sec1.getParagraphs().add(img2);	        
	        
			pdf.save(new FileOutputStream(new File("exampleOutput/ImageExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}
    }

}
