//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.list;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
* This example domestrates how to use color property in pdf.
*/
public class ListExample {
	public static void main(String args[]){
		//if you got a license, uncomment following lines
		/*License lic  = new License();
       	try {
       		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
      
	      try{	    	  
	    	  Pdf pdf = new Pdf();
				
	    	  //add a section
	    	  Section sec1 = pdf.getSections().add();
	    	  sec1.setIsSpaced(true);
				
	    	  //add text
	    	  Text text1 = new Text(sec1);
		      sec1.getParagraphs().add(text1);
		        
		      Segment seg1 = new Segment(text1,"The Following shows how to use list in pdf. \n");
		      text1.getSegments().add(seg1);
		        
		      com.aspose.pdf.elements.List list= new List(sec1);
		      list.addListItem(new Segment(list,"number 1 item."));
		      list.addListItem(new Segment(list,"number 2 item."));
		      list.addListItem(new Segment(list,"number 3 item."));
		      list.addListItem(new Segment(list,"number 4 item."));
		      list.addListItem(new Segment(list,"number 5 item."));
		      sec1.getParagraphs().add(list);
		        
		      text1 = new Text(sec1);
		      sec1.getParagraphs().add(text1);
		      seg1 = new Segment(text1,"The Following shows how to use different label in pdf. \n");
		      text1.getSegments().add(seg1);
		        
		      list= new List(sec1);
		      
		      list.setListSymbol(new Segment(list,"a"));		      
		      list.addListItem(new Segment(list, "number A item."));
		      list.addListItem(new Segment(list, "number B item."));
		      list.addListItem(new Segment(list, "number C item."));
		      list.addListItem(new Segment(list, "number D item."));
		      list.addListItem(new Segment(list, "number E item."));		        
		      sec1.getParagraphs().add(list);       
		     
		      		         
			  pdf.save(new FileOutputStream(new File("exampleOutput/ListExample.pdf")));
	      }catch(java.io.IOException ioe){
				System.out.println(ioe.getMessage());
	      }catch(AsposeBaseException e){
				System.out.println(e.getMessage());
	      }
	}
}
