//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.metainfo;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
* This example domestrates how to use color property in pdf.
*/
public class MetaInfoExample {
	public static void main(String args[]){
		//if you got a license, uncomment following lines
		/*License lic  = new License();
       	try {
       		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
        
        try{
			Pdf pdf = new Pdf();
			
			//set meta info
			pdf.addAuthor("Aspose Pdf For Java, Changsha Team");
			pdf.addKeywords("pdf , DOM , customer");
			pdf.addSubject("The demo of how to use metaInfo");
			pdf.addTitle("Aspose Pdf For Java");
			
			//add a section
			Section sec1 = pdf.getSections().add();
			sec1.setIsSpaced(true);
			
			//add text
			Text text1 = new Text(sec1);	        
	        sec1.getParagraphs().add(text1);
	        text1.getTextInfo().setAlignmentType(AlignmentType.Left);
	        
	        Segment seg1 = new Segment(text1,"\n\n\n\n\n\nPress Ctrl + d to see meta info of the pdf. \n");
	        seg1.getTextInfo().setTextColor(Color.Green);
	        text1.getSegments().add(seg1);	        
	        
	        Segment seg2 = new Segment(text1,"The meta info will be as follows: \n");
	        text1.getSegments().add(seg2);
	        
	        seg2 = new Segment(text1,"The author info will be:\t Aspose Pdf For Java, Changsha Team\n");
	        text1.getSegments().add(seg2);
	        seg2 = new Segment(text1,"The keyWords info will be:\t pdf , DOM , customer\n");
	        text1.getSegments().add(seg2);
	        seg2 = new Segment(text1,"The subject info will be: \t The demo of how to use metaInfo\n");
	        text1.getSegments().add(seg2);
	        seg2 = new Segment(text1,"The title info will be: \tAspose Pdf For Java\n");
	        text1.getSegments().add(seg2);        
	        
			pdf.save(new FileOutputStream(new File("exampleOutput/MetaInfoExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}
    }
}
