//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.nestedtable;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use table in pdf.
 */
public class NestedTableExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
		/*License lic  = new License();
       	try {
       		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
            
    	try{
        	
        	Pdf pdf = new Pdf();
		        
		    Section sec1 = pdf.getSections().add();
		    Text text = new Text(sec1,"This test shows if Nested Table Class works!\n"); 
		    text.getTextInfo().setTrueTypeBold(true);
		    sec1.getParagraphs().add(text);
		        
		    Table table  = new Table(sec1);
		    table.setColumnWidths("150 150");
			       
		    Row row1 = table.getRows().add();
		    row1.getCells().add("cell11");		    
		    row1.getCells().add("cell12");
			     
		    Cell c;
		    Row row2 = table.getRows().add();		    
		        
		    Table nestedTable = new Table(sec1);
		    nestedTable.setColumnWidths("75 75");
		    Row r = nestedTable.getRows().add();
		    r.getCells().add("nested11");
		    r.getCells().add("nested12");
		       
		    c = row2.getCells().add();
		    c.addNestedTable(nestedTable);
		        
		    row2.getCells().add("cell21");
		    sec1.getParagraphs().add(table);
			 			
			pdf.save(new FileOutputStream(new File("exampleOutput/NestedTableExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}    
    }
}

