//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.opentype;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use openType in pdf.
 */
public class OpenTypeExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
		/*License lic  = new License();
       	try {
       		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
        
    	try{        	
        	Pdf pdf = new Pdf();
        	
			pdf.setOpenType(OpenType.FullScreen);
			pdf.setPageTransition(PageTransitionType.Dissolve);
			pdf.setPageDuration(10);
        	
	 	    Section sec1 = pdf.getSections().add();
	 	    Text text = new Text(sec1,"This test shows if OpenType Class works!\n"); 
			Text text1 = new Text(sec1,"This is my first Paragraph on Page 1.");
			
			Text text2 = new Text(sec1,"This should be my first Paragraph on Page 2.");				
			text2.setFirstParagraph(true);
						
			sec1.getParagraphs().add(text);
			sec1.getParagraphs().add(text1);
			sec1.getParagraphs().add(text2);
			pdf.save(new FileOutputStream(new File("exampleOutput/OpenTypeExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}            
    }
}
