//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.security;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use table in pdf.
 */
public class SecurityExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
    	/*License lic  = new License();
    	try {
    		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
    	}catch (Exception e) {
    		System.out.println(e.getMessage());
    	}*/
            
        try{
            	
          	Pdf pdf = new Pdf();
            	
		    Section sec1 = pdf.getSections().add();
		    Text text = new Text(sec1,"This test shows if Security Class works!\n"); 

			text.getSegments().add("The password is aspose\n");
			text.getSegments().add("Only print permisson granted.\n");
			sec1.getParagraphs().add(text);
					 			
			Security security = new Security();
			security.setUserPass("aspose");
			security.setPrintingAllowed(true);
			pdf.setSecurity(security);
				 			
			pdf.save(new FileOutputStream(new File("exampleOutput/SecurityExample.pdf")));
    	}catch(java.io.IOException ioe){
    		System.out.println(ioe.getMessage());
    	}catch(AsposeBaseException e){
    		System.out.println(e.getMessage());
    	}
     }
}
