//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.table;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use table in pdf.
 */
public class TableExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
    	/*License lic  = new License();
    	try {
    		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
    	}catch (Exception e) {
    		System.out.println(e.getMessage());
    	}*/
    	
    	try{
			Pdf pdf = new Pdf();
			
			//add a section
			Section sec1 = pdf.getSections().add();
			
	        Table table = new Table(sec1);	        
	        table.setColumnWidths("150 150");
	        
	        //set the table's property
	        table.setHorizontalAlignment(AlignmentType.Center);
	        
	        //set the property for the cells in table	        
	        table.setDefaultCellBorder(new BorderInfo(BorderSide.All, 0.5f));
	        table.getDefaultCellTextInfo().setTextColor(Color.Blue);
	        
	        //add a row
	        Row row1 = new Row(table);
	        table.getRows().add(row1);
	        
	        Cell cell11 = new Cell(table, "some text");
	        row1.getCells().add(cell11);
	        
	        Cell cell12 = new Cell(table,"some more text");
	        row1.getCells().add(cell12);
	        
	        //add another row
	        Row row2 = new Row(table);
	        
	        //the row has its own specific property setting for the cells in it
	        row2.setBackGroundColor(Color.Yellow);
	        row2.getDefaultCellTextInfo().setTextColor(Color.Red);
	        table.getRows().add(row2);
	        
	        Cell cell21 = new Cell(row2, "another some text");	        
	        row2.getCells().add(cell21);
	        
	        Cell cell22 = new Cell(row2, "another some more text");
	        row2.getCells().add(cell22);
	        
	        //add table to sec1
	        sec1.getParagraphs().add(table);
	        
			pdf.save(new FileOutputStream(new File("exampleOutput/TableExample.pdf")));
		}catch(java.io.IOException ioe){
			System.out.println(ioe.getMessage());
		}catch(AsposeBaseException e){
			System.out.println(e.getMessage());
		}
    }    
            
}
