//
//Copyright 2002-2008 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

package examples.samples.text;

import java.io.File;
import java.io.FileOutputStream;

import com.aspose.pdf.elements.*;
import com.aspose.pdf.exception.AsposeBaseException;

/**
 * This example domestrates how to use text in pdf.
 */
public class TextExample {
    public static void main(String args[]){
    	//if you got a license, uncomment following lines
    	/*License lic  = new License();
    	try {
    		lic.setLicense(new FileInputStream(new File("Aspose.Pdf.Java.Ent.lic")));
    	}catch (Exception e) {
    		System.out.println(e.getMessage());
    	}*/
        
    	 try{
 			Pdf pdf = new Pdf();
 			
 			//add a section
 			Section sec1 = pdf.getSections().add();
 			
 			//This operation implicitly adds a segment to text.
 			Text text1 = new Text(sec1,"seg1 ");
 	        sec1.getParagraphs().add(text1);
 	        
 	        Segment seg2 = new Segment(text1,"seg2 ");
 	        text1.getSegments().add(seg2);
 	        
 	        Text text2 = new Text(sec1,"seg3 ");
 	        sec1.getParagraphs().add(text2);
 	        
 	        Segment seg4 = new Segment(text2,"seg4 ");
 	        text2.getSegments().add(seg4);
 	        
 			pdf.save(new FileOutputStream(new File("exampleOutput/TextExample.pdf")));
 		}catch(java.io.IOException ioe){
 			System.out.println(ioe.getMessage());
 		}catch(AsposeBaseException e){
 			System.out.println(e.getMessage());
 		}
     }
           
}
